art-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. This structure encapsulates a buffer of pixels, that can be in several specific pixel buffer formats. To be added System.ValueType
- Field
  Art.PixBuf To be added To be added
- Method
  Art.PixBuf `` To be added a a To be added
- Method
  Art.PixBuf Creates a deep clone of the current instance. A fresh deep copy of the current instance. Event the buffer that was given to create this buffer is copied, and its dealocation is then done by the new instance on its destruction, independently of who is responsible to free the curren buffer.
- Method
  System.Void Frees any used resources. If the destroy delegate was given its invoked, otherwise if it wasn't created with NewConstRGBx it will free the memory held by the buffer.
- Method
  System.Void Frees just the resources held by the PixBuf ignoring the given buffer. Its deprecated.
- Method
  Art.PixBuf `` `` `` `` Creates a new RGB PixBuf. The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. A newly created RGB.
- Method
  Art.PixBuf `` `` `` `` Creates a new RGBA PixBuf. The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. A newly created RGBA.
- Method
  Art.PixBuf `` `` `` `` Creates a new RGB PixBuf. The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. A newly created RGB. On destruction, the created instance will free the memory used by given buffer in pixels.
- Method
  Art.PixBuf `` `` `` `` `` `` Creates a new RGB PixBuf that invokes the given delegate on destruction. The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. The data that will be given to dfunc on its invocation. The delegate that is going to be invoked when the PixBuf gets destroyed. A newly created RGB that invokes a delegate on its destruction.
- Method
  Art.PixBuf `` `` `` `` Creates a new RGBA PixBuf. The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. A newly created RGB. On destruction, the created instance will free the memory used by given buffer in pixels.
- Method
  Art.PixBuf `` `` `` `` `` `` Creates a new RGBA PixBuf that invokes the given delegate on destruction. The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. The data that will be given to dfunc on its invocation. The delegate that is going to be invoked when the PixBuf gets destroyed. A newly created RGBA that invokes a delegate on its destruction.
- Field
  Art.PixFormat To be added To be added
- Field
  System.Int32 To be added To be added
- Field
  System.Int32 To be added To be added
- Field
  System.Int32 To be added To be added
- Field
  System.Int32 To be added To be added
- Field
  System.Int32 To be added To be added
- Field
  System.Int32 To be added To be added